﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Senior_Phonebook
{
    public partial class Form5 : Form
    {
        public Form5()
        {
            InitializeComponent();
        }

        public string newName { get; set; }
        public string newPhone { get; set; }

        /****************************************************************
        Updates the name and number of the contact that was selected
        by the admin and saves the new name and number to the textfile
        *****************************************************************/
        private void submit_bt_Click(object sender, EventArgs e)
        {
            if (phonenumber_tb.Text.Length == 9 || phonenumber_tb.Text.Length == 10)
            {
                this.newName = name_tb.Text;
                this.newPhone = phonenumber_tb.Text;
                this.DialogResult = DialogResult.OK;
                this.Close();
            }
            else
                MessageBox.Show(phonenumber_tb.Text + " is not the correct lenght.");
           
        }

        /****************************************************************
        makes sure only digits are entered in the phonenumber textbox
        *****************************************************************/
        private void phonenumber_tb_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!char.IsControl(e.KeyChar) && !char.IsDigit(e.KeyChar) && (e.KeyChar != '.'))
            {
                e.Handled = true;
            }
        }
    }
}
