﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Senior_Phonebook
{
    public partial class Form3 : Form
    {
        public static bool admin = false;

        public Form3()
        {
            InitializeComponent();

            /****************************************************************
            Checks if this is the first time the admin button was clicked,
            if yes, the default password is displayed
            *****************************************************************/
            FileStream input = new FileStream("firsttime.txt", FileMode.Open, FileAccess.Read);
            StreamReader filereader = new StreamReader(input);
            var firsttime = filereader.ReadLine();
            filereader.Close();
            input.Close();
            if (firsttime == "1")
            {
                info_label.Text = "Welcome Admin";
                info_label.Location = new Point(181, 60);
            }
        }

        /****************************************************************
        Checks the password entered against the password that is saved in
        the textfile, if the password matches, form2 will be opened
        with admin access.
        *****************************************************************/
        private void submit_button_Click(object sender, EventArgs e)
        {
            FileStream input = new FileStream("password.txt", FileMode.Open, FileAccess.Read);
            StreamReader filereader = new StreamReader(input);
            var password = filereader.ReadLine();
            filereader.Close();
            input.Close();

            if (password_tb.Text == password)
            {
                /*this.Hide();
                Form4 form4 = new Form4();
                form4.Closed += (s, args) => this.Close();
                form4.Show();*/
                admin = true;
                this.Hide();
                Form2 form2 = new Form2();
                form2.Closed += (s, args) => this.Close();
                form2.Show();
            }
            else
            {
                info_label.Text = "Incorect password, please try again.";
            }
        }

        /****************************************************************
        Checks the password entered against the password from the text file,
        if the password matches, the new password entered in the other textbox 
        will be saved to the textfile over the current password, therefor
        updating the password.

            Basically updates password or password change
        *****************************************************************/
        private void newpass_button_Click(object sender, EventArgs e)
        {
            FileStream input = new FileStream("password.txt", FileMode.Open, FileAccess.Read);
            StreamReader filereader = new StreamReader(input);
            var password = filereader.ReadLine();
            filereader.Close();
            input.Close();

            if (newpass_tb.Text.Length >= 6 && password_tb.Text == password)
            {
                FileStream output = new FileStream("password.txt", FileMode.Truncate , FileAccess.Write);
                StreamWriter filewriter = new StreamWriter(output);
                filewriter.Write(newpass_tb.Text);
                filewriter.Close();
                output.Close();

                output = new FileStream("firsttime.txt", FileMode.Open, FileAccess.Write);
                filewriter = new StreamWriter(output);
                filewriter.Write("1");
                filewriter.Close();
                output.Close();
                MessageBox.Show("Password was updated");
            }
            else
                MessageBox.Show("Password was too short, or old password was incorrect");
        }

        /****************************************************************
        Back button, returns to the main form (form1)
        *****************************************************************/
        private void back_button_Click(object sender, EventArgs e)
        {
            this.Hide();
            Form1 form1 = new Form1();
            form1.Closed += (s, args) => this.Close();
            form1.Show();
        }
    }
}
